<?php
namespace App\Http\Controllers;
use App\Models\ConfigPickupGroup;
use App\Repositories\ConfigPickupGroupRepository;
use Illuminate\Http\Request;
use App\Http\ApiHelper;
use Illuminate\Support\Facades\Validator;
use App\Transformers\PickupGroupTransformer;
//use Illuminate\Support\Facades\Validator;
use League\Fractal\Resource\Collection;
use League\Fractal\Manager;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
/**
 * Created by PhpStorm.
 * User: qinyaer
 * Date: 2019/4/24
 * Time: 下午4:16
 */

 class ConfigPickupGroupController extends BaseController
 {
     public function __construct(ConfigPickupGroupRepository $configPickupGroupRepository)
     {
         $this->configPickupGroupRepository = $configPickupGroupRepository;
     }

    //自提点分组列表
     public function index(Request $request)
     {

         $configPickup = $this->configPickupGroupRepository->index($request->all());

         $fractal = new Manager();
         $resource = new Collection($configPickup, new PickupGroupTransformer());
         $resource->setPaginator(new IlluminatePaginatorAdapter($configPickup));
         $data = $fractal->createData($resource)->toArray();
         $data['extra'] = [
             'filters' => [
                 'id'
             ],
             'columns' => [
                 'id',
                 'name',
             ]
         ];
         return $data;
     }


     //新建自提点分组
     public function create(Request $request)
     {

         $validator = Validator::make($request->all(), [
             'name' => 'required|string|max:20',
         ]);
         if ($validator->fails()) {
             return $this->response->error($validator->errors()->first(), 500);
         }

         return  $this->configPickupGroupRepository->create($request->all());

     }

 }

