<?php
namespace App\Http\Controllers;
use App\Models\ConfigProvince;
use App\Repositories\ConfigProvinceRepository;
use App\Transformers\ProvinceTransformer;
use Illuminate\Http\Request;
use League\Fractal\Resource\Collection;
use League\Fractal\Manager;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;

/**
 * Created by PhpStorm.
 * User: qinyaer
 * Date: 2019/4/23
 * Time: 下午3:56
 */

class ConfigProvinceController extends Controller
{

    public function __construct(ConfigProvinceRepository $configProvinceRepository)
    {
        $this->configProvince = $configProvinceRepository;
    }

    public function province(Request $request)
    {
        $province = $this->configProvince->index($request->all());
        $fractal = new Manager();
        $resource = new Collection($province, new ProvinceTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($province));
        $data = $fractal->createData($resource)->toArray();
        $data['extra'] = [
            'filters' => [
                'bjcity_id'
            ],
            'columns' => [
                'bjcity_id',
                'parent_id',
                'area_name',
                'level',
                'sort',
                'area_code',
                'city_code',
                'center',
            ]
        ];
        return $data;

    }
}