<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$api = app('Dingo\Api\Routing\Router');

$api->version('v1', [
    'namespace' => 'App\Http\Controllers',
], function ($api) {
    //百度编辑器
    $api->get('ueupload', 'UeditorController@index');
    $api->post('ueupload', 'UeditorController@index');
    //上传
    $api->post('upload', 'UploadController@uploadImage');
    $api->post('multi_upload', 'UploadController@uploadImages');
    $api->group(['middleware' => 'jwt.chxq_auth'], function ($api) {
        $api->get('user', 'UserController@index');

        //自提点列表
        $api->get('/pickupNode/index', 'ConfigPickupNodeController@index');
        //自提点新建
        $api->post('/pickupNode/create', 'ConfigPickupNodeController@create');
        //自提点编辑
        $api->put('/pickupNode/edit', 'ConfigPickupNodeController@edit');
        //查看自提点
        $api->get('/pickupNode/view', 'ConfigPickupNodeController@view');

        //自提点分组列表
        $api->get('/pickupGroup/index', 'ConfigPickupGroupController@index');
        //自提点分组新增
        $api->post('/pickupGroup/create', 'ConfigPickupGroupController@create');

        // 储存方式列表
        $api->get('/storeType/index', 'StoreTypeController@index');

        //获取省市区
        $api->get('/configProvince/province', 'ConfigProvinceController@province');

        //城市列表
        $api->get('/cityManagement/lists', 'ConfigCityManagementController@lists');
        //编辑城市
        $api->put('/cityManagement/edit', 'ConfigCityManagementController@edit');
        //删除城市
        $api->delete('/cityManagement/delete', 'ConfigCityManagementController@delete');
        //新增城市
        $api->post('/cityManagement/create', 'ConfigCityManagementController@create');

    });
    //配置文件
    $api->get('/config', 'ConfigController@index');
});